Автор Тема: Как обновиться с 4.6 до 5.0?  (Прочитано 15313 раз)

Евгений

  • Гость
Как обновиться с 4.6 до 5.0?
« : Октября 29, 2011, 08:31:10 am »
Подскажите как правильно обновиться, чтобы не чего не потерялось?

jawakharlal

  • Гость
Re: Как обновиться с 4.6 до 5.0?
« Ответ #1 : Октября 29, 2011, 09:34:24 am »
+1...  пытался вчера базу скопировать - накрылся сайт ((

SlaviO

  • Гость
Re: Как обновиться с 4.6 до 5.0?
« Ответ #2 : Октября 30, 2011, 12:43:17 am »
После установки пишет: ERROR: Couldn't find language file!

Если что, при установке выбирал естественно UTF-8.
russian_utf.php - в файле списка языков указан, его самому создавать что ли или в чём там дело?
« Последнее редактирование: Октября 30, 2011, 12:48:43 am от SlaviO »

searchingman

  • Гость
Re: Как обновиться с 4.6 до 5.0?
« Ответ #3 : Октября 30, 2011, 05:16:30 am »
После установки пишет: ERROR: Couldn't find language file!

Если что, при установке выбирал естественно UTF-8.
russian_utf.php - в файле списка языков указан, его самому создавать что ли или в чём там дело?
На счет russian_utf.php подтверждаю.
Ждем комментарий от pehser-а.

Rusik72

  • Гость
Re: Как обновиться с 4.6 до 5.0?
« Ответ #4 : Октября 30, 2011, 10:01:09 am »
Всем доброго! Залил на сервер, пытаюсь установить, все тщетно. Пишет "Сервер не найден" А так хочется новенького  :)

searchingman

  • Гость
Re: Как обновиться с 4.6 до 5.0?
« Ответ #5 : Октября 30, 2011, 11:07:36 am »
Если выбрать установку для UTF-8, то таблицы создаются в кодировке cp1251_general_ci несмотря на то, что база создана в кодировке utf8_general_ci

До изменения дистриба сегодня (  language_list.php ) таблицы создавались в кодировке utf8_general_ci

В итоге , когда в админке жму "Зазказы"->"Новые заказы" , то
Illegal mix of collations (cp1251_general_ci,IMPLICIT) and (utf8_general_ci,COERCIBLE) for operation 'like'
« Последнее редактирование: Октября 30, 2011, 01:11:57 pm от searchingman »

Оффлайн valon

  • Новичек
  • *
  • Сообщений: 5
    • Просмотр профиля
Re: Как обновиться с 4.6 до 5.0?
« Ответ #6 : Октября 30, 2011, 09:48:01 pm »
Здравствуйте все.
Может кто подскажет, в чем тут дело?
Поставил свежайшую версию и на последнем шаге установки жму на кнопку перехода на сайт. И вылазит такое:
-----------------------------
Internal Server Error
The server encountered an internal error or misconfiguration and was unable to complete your request.
Please contact the server administrator, webmaster@test16.energybooks.ru and inform them of the time the error occurred, and anything you might have done that may have caused the error.
More information about this error may be available in the server error log.
Additionally, a 500 Internal Server Error error was encountered while trying to use an ErrorDocument to handle the request.
------------------------------

Иду в файл логов, чтоб увидеть в чем дело, а там вот что:

[30-Oct-2011 22:24:37] PHP Warning:  phpinfo() has been disabled for security reasons in /home/bpbp148/public_html/test16/install.php on line 390

Кто поможет? Что там за проблема с phpinfo()???
Прежняя версия становилась нормально, а эта сопротивляется!

Оффлайн valon

  • Новичек
  • *
  • Сообщений: 5
    • Просмотр профиля
Re: Как обновиться с 4.6 до 5.0?
« Ответ #7 : Октября 30, 2011, 10:01:27 pm »
С точки зрения безопасности ваш хостер отключил возможность использовать функцию  phpinfo при помоши данной фукции скрипт определяет версию mysql
Спасибо, понятно. Хостера бесполезно просить изменить настройки сервера, я и так терзал поддержку двое суток, вчера и сегодня, пока наладили запись сессий. А то постоянно лезло ...Failed to write session data (files)...

А можно из скрипта изъять этот кусок кода? Без вывода версии базы магазин не станет нормально?
А если можно, то что именно вырезать из кода???

Оффлайн valon

  • Новичек
  • *
  • Сообщений: 5
    • Просмотр профиля
Re: Как обновиться с 4.6 до 5.0?
« Ответ #8 : Октября 30, 2011, 10:27:15 pm »
Хотите чтоб мой энтузиазм не умер?
Хочу!! Очень полезный энтузиазм, никак нельзя допустить, чтоб он угас.
Проверьте свой Яндекс счет.

Rusik72

  • Гость
Re: Как обновиться с 4.6 до 5.0?
« Ответ #9 : Октября 31, 2011, 11:03:01 am »
Неправильно указан сервер БД

Все равно не получаеться установить www

nictboom

  • Гость
Re: Как обновиться с 4.6 до 5.0?
« Ответ #10 : Октября 31, 2011, 11:45:40 am »
Все равно не получаеться установить http://www.site.zp.ua.install.php
вы умышленно слеш на точку поменяли перед install.php?

Rusik72

  • Гость
Re: Как обновиться с 4.6 до 5.0?
« Ответ #11 : Октября 31, 2011, 04:56:13 pm »
А хоть так, хоть так, результат один. И к моему прискорбию упал и второй сайт  >:(

Муртахан

  • Гость
Re: Как обновиться с 4.6 до 5.0?
« Ответ #12 : Ноября 01, 2011, 12:03:41 am »
Все равно не получаеться установить www

Возможно в панели хостинга, настройки сайта, посмотрите случайно не стоит "php как cgi" ? Или что-то в этом роде...

Rusik72

  • Гость
Re: Как обновиться с 4.6 до 5.0?
« Ответ #13 : Ноября 01, 2011, 02:40:21 pm »
Заливаю версию 4.6 все нормально устанавливается, заливаю версию 5.0 ничего. Хочу сделать чистую установку 5.0, а не обновлять с 4.6 до 5.0

Rusik72

  • Гость
Re: Как обновиться с 4.6 до 5.0?
« Ответ #14 : Ноября 01, 2011, 03:21:47 pm »
Спасибо, вот так получилось